## PothosAudio-0.3.1.tar.gz

=== CMakeLists.txt ===
########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.8.9)
project(PothosAudio CXX)

if(${CMAKE_PROJECT_NAME} STREQUAL ${PROJECT_NAME})
    find_package(Pothos "0.6.0" CONFIG REQUIRED)
else()
    find_package(Pothos CONFIG REQUIRED) #in-tree build
endif()

########################################################################
# Find PortAudio
########################################################################
list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR})
find_package(Portaudio)

if (PORTAUDIO_FOUND)
    message(STATUS "PORTAUDIO_INCLUDE_DIRS: ${PORTAUDIO_INCLUDE_DIRS}")
    message(STATUS "PORTAUDIO_LIBRARIES: ${PORTAUDIO_LIBRARIES}")
    message(STATUS "PORTAUDIO_DEFINITIONS: ${PORTAUDIO_DEFINITIONS}")
else()
    message(WARNING "Pothos Audio blocks require PortAudio, skipping...")
endif()

########################################################################
# json.hpp header
########################################################################
find_path(JSON_HPP_INCLUDE_DIR NAMES json.hpp PATH_SUFFIXES nlohmann)

if (NOT JSON_HPP_INCLUDE_DIR)
    message(WARNING "Pothos Audio blocks require json.hpp, skipping...")
endif (NOT JSON_HPP_INCLUDE_DIR)

########################################################################
## Feature registration
########################################################################
include(FeatureSummary)
include(CMakeDependentOption)
cmake_dependent_option(ENABLE_AUDIO "Enable Pothos Audio component" ON "Pothos_FOUND;PORTAUDIO_FOUND;JSON_HPP_INCLUDE_DIR" OFF)
add_feature_info(Audio ENABLE_AUDIO "Streaming audio source and sink blocks")
if (NOT ENABLE_AUDIO)
    return()
endif()

########################################################################
## Build and install module
########################################################################
include_directories(${PORTAUDIO_INCLUDE_DIRS})
add_definitions(${PORTAUDIO_DEFINITIONS})
include_directories(${JSON_HPP_INCLUDE_DIR})

#the number of frames to block on an IO call
#when no non-blocking frames are available.
add_definitions(-DMIN_FRAMES_BLOCKING=1024)

POTHOS_MODULE_UTIL(
    TARGET AudioSupport
    SOURCES
        AudioBlock.cpp
        AudioSource.cpp
        AudioSink.cpp
        AudioInfo.cpp
    LIBRARIES ${PORTAUDIO_LIBRARIES}
    DESTINATION audio
    ENABLE_DOCS
)

=== debian/changelog ===
pothos-audio (0.3.1-1) unstable; urgency=low

  * Release 0.3.1 (2018-04-11)

 -- Josh Blum <josh@pothosware.com>  Wed, 11 Apr 2018 21:27:48 -0000

pothos-audio (0.3.0-1) unstable; urgency=low

  * Release 0.3.0 (2017-12-25)

 -- Josh Blum <josh@pothosware.com>  Mon, 25 Dec 2017 11:19:36 -0000

pothos-audio (0.2.1-1) unstable; urgency=low

  * Release 0.2.1 (2017-07-14)

 -- Josh Blum <josh@pothosware.com>  Fri, 14 Jul 2017 21:25:27 -0000

pothos-audio (0.2.0) unstable; urgency=low

  * Release 0.2.0 (2016-08-02)

 -- Josh Blum <josh@pothosware.com>  Tue, 02 Aug 2016 14:08:34 -0700

pothos-audio (0.1.3) unstable; urgency=low

  * Release 0.1.3 (2016-05-10)

 -- Josh Blum <josh@pothosware.com>  Tue, 10 May 2016 10:38:13 -0700

pothos-audio (0.1.2) unstable; urgency=low

  * Release 0.1.2 (2015-12-16)

 -- Josh Blum <josh@pothosware.com>  Wed, 16 Dec 2015 16:30:45 -0800

=== debian/control ===
Source: pothos-audio
Section: science
Priority: optional
Maintainer: Josh Blum <josh@pothosware.com>
Build-Depends:
    debhelper (>= 9.0.0),
    cmake (>= 2.8.9),
    libpothos-dev,
    libpoco-dev (>= 1.6),
    nlohmann-json-dev,
    portaudio19-dev, libjack-jackd2-dev
Standards-Version: 4.1.1
Homepage: https://github.com/pothosware/PothosAudio/wiki
Vcs-Git: https://github.com/pothosware/PothosAudio.git
Vcs-Browser: https://github.com/pothosware/PothosAudio

Package: pothos-modules-audio
Section: libs
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: pothos0.6-modules-audio, ${misc:Depends}
Description: Audio source and sink blocks - metapackage
 The Pothos data-flow software suite.

Package: pothos0.6-modules-audio
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Audio source and sink blocks
 The Pothos data-flow software suite.
